Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::G::TypeInterface Class Reference

Abstract base class for GTK+ interfaces. More...

`#include <xfc/glib/type.hh>`

Inheritance diagram for Xfc::G::TypeInterface:

List of all members.

## Public Member Functions

Accessors

- GTypeInterface * g_type_interface (GType type) const
    Get a pointer to the GTypeInterface structure for type.

## Protected Member Functions

Constructors

- TypeInterface ()
    Constructor.
- virtual ~TypeInterface ()=0
    Destructor.

## Static Protected Member Functions

Accessors

- bool is_interface (GType type)
    Determines whether type is an interface type.

## Detailed Description

Abstract base class for GTK+ interfaces.

## Member Function Documentation

GTypeInterface* Xfc::G::TypeInterface::g_type_interface | ( | GType | type | ) | const

Get a pointer to the GTypeInterface structure for type.

Parameters:

  | type | The interface type to get.

Returns:
  A GTypeInterface pointer.

bool Xfc::G::TypeInterface::is_interface | ( | GType | type | ) | `[static, protected]`

Determines whether type is an interface type.

Parameters:

  | type | A GType value.

Interface types are types that provide pure APIs, the implementation of which is provided by another type (which is then said to conform to the interface). GLib interfaces are somewhat analogous to Java interfaces and C++ classes containing only pure virtual functions, with the difference that GType interfaces are not derivable.

The documentation for this class was generated from the following file:

- type.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3